aboutsummaryrefslogtreecommitdiff
path: root/test-suite/coq-makefile/mlpack1/run.sh
diff options
context:
space:
mode:
authorEnrico Tassi2017-01-23 17:18:39 +0100
committerEnrico Tassi2017-05-23 10:48:27 +0200
commite9156da20ec5332b1b53a6c44127e0f822891d16 (patch)
tree87574e62f236faa8c0c00393d78b1e5233cfe490 /test-suite/coq-makefile/mlpack1/run.sh
parentcd8f10fe54c956f1e797da3d165c3b29ffee615b (diff)
test suite for coq_makefile
Diffstat (limited to 'test-suite/coq-makefile/mlpack1/run.sh')
-rwxr-xr-xtest-suite/coq-makefile/mlpack1/run.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/test-suite/coq-makefile/mlpack1/run.sh b/test-suite/coq-makefile/mlpack1/run.sh
new file mode 100755
index 0000000000..43d03be4a4
--- /dev/null
+++ b/test-suite/coq-makefile/mlpack1/run.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+#set -x
+set -e
+
+export PATH=../../../bin/:$PATH
+git clean -dfx .
+coq_makefile -f _CoqProject -o Makefile
+make
+make html mlihtml
+make install DSTROOT="$PWD/tmp"
+#make debug
+(cd `find tmp -name user-contrib`; find) | sort > actual
+sort > desired <<EOT
+.
+./test
+./test/test.glob
+./test/test_plugin.cmi
+./test/test_plugin.cmo
+./test/test_plugin.cmx
+./test/test_plugin.cmxs
+./test/test.v
+./test/test.vo
+EOT
+exec diff -u desired actual